## eom 1.20.0

=== debian/changelog ===
eom (1.20.0-2ubuntu1) bionic; urgency=medium

  * debian/patches:
    + Add 0001_scale_hidpi_images.patch. Fixes an issue where opening an
      image when scale-factor is 2 the image is twice as large as its
      reported size when zooming to normal size.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 25 Apr 2018 13:48:41 +0100

eom (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (already in 1.19.1-0ubuntu1):
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Feb 2018 10:55:49 +0100

eom (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:57 +0000

eom (1.19.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 24 Jan 2018 00:50:47 +0000

eom (1.18.3-3) unstable; urgency=medium

  * debian/control:
    + Fix typo in B:/R: versions for gir1.2-eom. (Closes: #888557).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 27 Jan 2018 10:38:00 +0100

eom (1.18.3-2) unstable; urgency=medium

  * Rename GIR package to match Debian Policy.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 24 Jan 2018 22:19:30 +0100

eom (1.18.3-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/watch:
    + Use secure URI.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 10:42:31 +0100

=== debian/control ===
Source: eom
Section: graphics
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
           MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>,
Standards-Version: 4.1.3
Homepage: http://www.mate-desktop.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/eom.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/eom.git
Build-Depends: debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1),
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libdbus-glib-1-dev,
               libdconf-dev,
               libexempi-dev,
               libexif-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblcms2-dev,
               libmate-desktop-dev (>= 1.18),
               libpeas-dev,
               librsvg2-dev (>= 2.36.2),
               libstartup-notification0-dev,
               libxml2-dev,
               mate-common (>= 1.18),
               shared-mime-info,
               x11proto-core-dev,
               yelp-tools,
               zlib1g-dev,
Build-Depends-Indep: libglib2.0-doc,
                     libgtk-3-doc,

Package: eom
Architecture: any
Depends: eom-common (= ${source:Version}),
         librsvg2-common (>= 2.36.2),
         mate-desktop-common,
         shared-mime-info,
         libgl1-mesa-glx,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-image-viewer (<= 1.0.0-1),
Replaces: mate-image-viewer (<= 1.0.0-1),
Description: Eye of MATE graphics viewer program
 eom or the Eye of MATE is a simple graphics viewer for the MATE
 desktop which uses the gdk-pixbuf library. It can deal with large
 images, and zoom and scroll with constant memory usage. Its goals are
 simplicity and standards compliance.

Package: eom-common
Architecture: all
Depends: ${misc:Depends},
Breaks: eom (<= 1.6.1-1),
        mate-image-viewer (<= 1.0.0-1),
Replaces: mate-image-viewer (<= 1.0.0-1),
Description: Eye of MATE graphics viewer program (common files)
 eom or the Eye of MATE is a simple graphics viewer for the MATE
 desktop which uses the gdk-pixbuf library. It can deal with large
 images, and zoom and scroll with constant memory usage. Its goals are
 simplicity and standards compliance.
 .
 This package contains the architecture independent files.

Package: eom-dev
Section: libdevel
Architecture: any
Depends: eom (= ${binary:Version}),
         ${misc:Depends},
         gir1.2-eom-1.0 (= ${binary:Version}),
Breaks: mate-image-viewer (<= 1.0.0-1),
        gir1.2-eom (<< 1.18.3-2~),
Replaces: mate-image-viewer (<= 1.0.0-1),
          gir1.2-eom (<< 1.18.3-2~),
Description: Eye of MATE graphics viewer program (development files)
 eom or the Eye of MATE is a simple graphics viewer for the MATE
 desktop which uses the gdk-pixbuf library. It can deal with large
 images, and zoom and scroll with constant memory usage. Its goals are
 simplicity and standards compliance.
 .
 This package contains the development files for building eom plugins.

Package: gir1.2-eom-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: gir1.2-eom (<< 1.18.3-2~),
Replaces: gir1.2-eom (<< 1.18.3-2~),
Description: GObject introspection data for the eom library
 eom or the Eye of MATE is a simple graphics viewer for the MATE
 desktop which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.
 .
 This package contains introspection data for eom.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gir1.2-eom
Section: oldlibs
Architecture: any
Depends: ${misc:Depends},
         gir1.2-eom-1.0 (= ${binary:Version}),
Description: GObject introspection data for eom (transitional package)
 This package is a transitional package to gir1.2-eom-1.0. The package
 can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS) --with gir --without autoreconf

override _dh_missing:
	dh_missing --fail-missing

override_dh_install:
	rm -rfv debian/tmp/usr/lib/*/eom/plugins/*.la
	dh_install

override_dh_auto_configure:
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='eom-dbg (<< 1.14.1-2~)'

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## eom 1.20.1

=== debian/changelog ===
eom (1.20.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Use secure URI for copyright format.
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 12:54:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-           MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/eom.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/eom.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/eom
+Vcs-Git: https://salsa.debian.org/debian-mate-team/eom.git
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,

## eom 1.20.2

=== debian/changelog ===
eom (1.20.2-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_use-persistent-page-setup.patch. Remember printer setting's page
      setup. (Closes: #921842).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Mar 2019 21:50:17 +0100

eom (1.20.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix memory leak. (Closes: #893764).
    - More changes documented in upstream changelog.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Use alternative D (eom): libgl1-mesa-glx or libgl1. (Closes: #909702).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Jan 2019 19:33:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/eom
 Vcs-Git: https://salsa.debian.org/debian-mate-team/eom.git
@@ -43,7 +43,7 @@
          librsvg2-common (>= 2.36.2),
          mate-desktop-common,
          shared-mime-info,
-         libgl1-mesa-glx,
+         libgl1-mesa-glx | libgl1,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: mate-image-viewer (<= 1.0.0-1),

=== debian/watch ===
version=3
https://git.mate-desktop.org/eom/ \
    snapshot/eom-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## eom 1.22.2

=== debian/changelog ===
eom (1.22.2-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 21 Sep 2019 12:25:45 +0200

eom (1.22.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_use-persistent-page-setup.patch. Applied upstream.
    + Add 0001_restore_image_types.patch. Restore all the image
      types and retain the wildcard.
  * debian/copyright:
    + Update copyright attributions.
  * debian/eom-common.install:
    + Updated for MATE Desktop 1.22
  * debian/control:
    + Add D gir1.2-eom-1.0 (Closes: #926600).

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Jul 2019 23:23:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/eom
 Vcs-Git: https://salsa.debian.org/debian-mate-team/eom.git
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (=12),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
@@ -40,6 +40,7 @@
 Package: eom
 Architecture: any
 Depends: eom-common (= ${source:Version}),
+         gir1.2-eom-1.0,
          librsvg2-common (>= 2.36.2),
          mate-desktop-common,
          shared-mime-info,

## eom 1.24.0

=== debian/changelog ===
eom (1.24.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.
  * debian/copyright:
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Move file to new location.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Feb 2020 08:24:19 +0100

eom (1.22.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_restore_image_types.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Sep 2019 19:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/eom
 Vcs-Git: https://salsa.debian.org/debian-mate-team/eom.git

## eom 1.24.0-1%2B10.0trisquel0

=== debian/changelog ===
eom (1.24.0-1+10.0trisquel0) nabia; urgency=medium

  * Fix LP:1891891 Broken icons on localization MATE.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Feb 2022 07:10:09 +0000

## eom 1.24.1

=== debian/changelog ===
eom (1.24.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Aug 2020 11:13:07 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/eom
 Vcs-Git: https://salsa.debian.org/debian-mate-team/eom.git
-Build-Depends: debhelper-compat (=12),
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
-               libdbus-glib-1-dev,
                libdconf-dev,
                libexempi-dev,
                libexif-dev,

## eom 1.24.2

=== debian/changelog ===
eom (1.24.2-0ubuntu1) hirsute; urgency=medium

  * New upstream maintenance release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 27 Mar 2021 10:08:56 +0000

## eom 1.26.0

=== debian/changelog ===
eom (1.26.0-2) unstable; urgency=medium

  * Team upload

  [ Mike Gabriel ]
  * debian/control: Add to R (eom): libgdk-pixbuf2.0-bin. (Closes: #1012860)

  [ Jeremy Bicha ]
  * Depend on webp-pixbuf-loader for .webp support (Closes: #1017450)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 10:34:07 -0400

eom (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Drop transitional pkg 'gir1.2-eom' and drop lintian override for it.
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/watch:
    + Use format version 4.
  * debian/copyright:
    + Rewrite file.
  * debian/eom.lintian-overrides:
    + Drop file. Not required anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Dec 2021 21:24:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/eom
@@ -46,8 +46,10 @@
          mate-desktop-common,
          shared-mime-info,
          libgl1-mesa-glx | libgl1,
+         webp-pixbuf-loader,
          ${misc:Depends},
          ${shlibs:Depends},
+Recommends: libgdk-pixbuf2.0-bin,
 Breaks: mate-image-viewer (<= 1.0.0-1),
 Replaces: mate-image-viewer (<= 1.0.0-1),
 Description: Eye of MATE graphics viewer program
@@ -106,12 +108,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-Package: gir1.2-eom
-Section: oldlibs
-Architecture: any
-Depends: ${misc:Depends},
-         gir1.2-eom-1.0 (= ${binary:Version}),
-Description: GObject introspection data for eom (transitional package)
- This package is a transitional package to gir1.2-eom-1.0. The package
- can be safely removed.

## eom 1.26.1

=== debian/changelog ===
eom (1.26.1-1build4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 06:58:41 +0200

eom (1.26.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:51:41 +0000

eom (1.26.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:33:43 +0000

eom (1.26.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:17:13 +0000

eom (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Dec 2023 18:17:11 +0100

eom (1.26.0-3) unstable; urgency=medium

  * debian/control:
    + Drop alternative D: on libgl1-mesa-glx. (Closes: #1051597).
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Sep 2023 14:19:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: eom
 Section: graphics
 Priority: optional
-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/eom
@@ -45,7 +46,7 @@
          librsvg2-common (>= 2.36.2),
          mate-desktop-common,
          shared-mime-info,
-         libgl1-mesa-glx | libgl1,
+         libgl1,
          webp-pixbuf-loader,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='eom-dbg (<< 1.14.1-2~)'
-
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## eom 1.26.1-1build3trisquel1

=== debian/changelog ===
eom (1.26.1-1build3trisquel1) ecne; urgency=medium

  * Apply fallback to fast-content-type patch

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 10 Nov 2025 07:17:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: eom
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,

## eom 1.28.0

=== meson_options.txt ===
option('nls', type : 'boolean', value : true, description : 'Native language support')
option('thumbnailer', type : 'boolean', value: true)
option('gdk-pixbuf-thumbnailer', type : 'boolean', value: true, description: 'Use gdk-pixbuf-thumbnailer')

option('introspection', type : 'feature', description : 'Enable GObject introspection')
option('xmp', type : 'feature', description : 'Special XMP support')
option('libexif', type : 'feature', description : 'EXIF support')
option('cms', type : 'feature', description : 'Colour management support')
option('jpeg', type : 'feature', description : 'Special JPEG support')
option('librsvg', type : 'feature', description : 'RSVG support')

=== debian/changelog ===
eom (1.28.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build with meson
  * Explicitly disable thumbnailer since it was disabled before
  * Add patch to fix build when thumbnailer is disabled
  * Update gir handling (Closes: #1118810)
  * Simplify debian/rules
  * Remove obsolete Breaks/Replaces
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Oct 2025 08:47:34 -0400

=== debian/control ===
Source: eom
Section: graphics
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
Standards-Version: 4.7.2
Homepage: https://www.mate-desktop.org/
Vcs-Browser: https://salsa.debian.org/debian-mate-team/eom
Vcs-Git: https://salsa.debian.org/debian-mate-team/eom.git
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-dev (>= 1.16.1.1),
               desktop-file-utils,
               gir1.2-gtk-3.0-dev,
               gtk-doc-tools,
               itstool,
               libdconf-dev,
               libexempi-dev,
               libexif-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblcms2-dev,
               libmate-desktop-dev (>= 1.18),
               libpeas-dev,
               librsvg2-dev (>= 2.36.2),
               libstartup-notification0-dev,
               libxml2-dev,
               libxml2-utils,
               meson,
               shared-mime-info,
               x11proto-core-dev,
               zlib1g-dev,
Build-Depends-Indep: libglib2.0-doc,
                     libgtk-3-doc,

Package: eom
Architecture: any
Depends: eom-common (= ${source:Version}),
         gir1.2-eom-1.0,
         librsvg2-common (>= 2.36.2),
         mate-desktop-common,
         shared-mime-info,
         libgl1,
         webp-pixbuf-loader,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libgdk-pixbuf2.0-bin,
Description: Eye of MATE graphics viewer program
 eom or the Eye of MATE is a simple graphics viewer for the MATE
 desktop which uses the gdk-pixbuf library. It can deal with large
 images, and zoom and scroll with constant memory usage. Its goals are
 simplicity and standards compliance.

Package: eom-common
Architecture: all
Depends: ${misc:Depends},
Description: Eye of MATE graphics viewer program (common files)
 eom or the Eye of MATE is a simple graphics viewer for the MATE
 desktop which uses the gdk-pixbuf library. It can deal with large
 images, and zoom and scroll with constant memory usage. Its goals are
 simplicity and standards compliance.
 .
 This package contains the architecture independent files.

Package: eom-dev
Section: libdevel
Architecture: any
Depends: eom (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Description: Eye of MATE graphics viewer program (development files)
 eom or the Eye of MATE is a simple graphics viewer for the MATE
 desktop which uses the gdk-pixbuf library. It can deal with large
 images, and zoom and scroll with constant memory usage. Its goals are
 simplicity and standards compliance.
 .
 This package contains the development files for building eom plugins.

Package: gir1.2-eom-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
Description: GObject introspection data for the eom library
 eom or the Eye of MATE is a simple graphics viewer for the MATE
 desktop which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.
 .
 This package contains introspection data for eom.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dthumbnailer=false

override_dh_installchangelogs:
	dh_installchangelogs NEWS
